org.apache.ignite.internal.util.ipc.shmem

## Class IpcOutOfSystemResourcesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.util.ipc.shmem.IpcOutOfSystemResourcesException

All Implemented Interfaces:
  Serializable

    public class IpcOutOfSystemResourcesException
    extends IgniteCheckedException

Thrown when IPC runs out of system resources (for example, no more free shared memory is available in operating system).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IpcOutOfSystemResourcesException(String msg)` Creates new exception with given error message.
`IpcOutOfSystemResourcesException(String msg, Throwable cause)` Creates new exception with given error message and optional nested exception.
`IpcOutOfSystemResourcesException(Throwable cause)` Creates new exception with given throwable as a cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IpcOutOfSystemResourcesException

    public IpcOutOfSystemResourcesException(String msg)

Creates new exception with given error message.

Parameters:
  `msg` - Error message.

#### IpcOutOfSystemResourcesException

    public IpcOutOfSystemResourcesException(Throwable cause)

Creates new exception with given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### IpcOutOfSystemResourcesException

    public IpcOutOfSystemResourcesException(String msg,
                                            @Nullable
                                            Throwable cause)

Creates new exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018